Package: geb.navigator

## [Groovy] Class WebElementPredicates

- geb.navigator.WebElementPredicates

-     class WebElementPredicates
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WebElementPredicates()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `matches(WebElement element, Map<String, Object> predicates)`
    `` | `protected static boolean` | `matches(String actualValue, String requiredValue)`
    `` | `protected static boolean` | `matches(String actualValue, Pattern requiredValue)`
    `` | `protected static boolean` | `matches(String actualValue, TextMatcher matcher)`
    `` | `protected static boolean` | `matches(Collection<String> actualValue, String requiredValue)`
    `` | `protected static boolean` | `matches(Collection<String> actualValue, Pattern requiredValue)`
    `` | `protected static boolean` | `matches(Collection<String> actualValue, TextMatcher matcher)`
    `` | `protected static boolean` | `matches(boolean actualValue, Object requiredValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### WebElementPredicates()

  - ### Method Detail

    - #### static boolean matches(WebElement element, Map<String, Object> predicates)

    - #### protected static boolean matches(String actualValue, String requiredValue)

    - #### protected static boolean matches(String actualValue, Pattern requiredValue)

    - #### protected static boolean matches(String actualValue, TextMatcher matcher)

    - #### protected static boolean matches(Collection<String> actualValue, String requiredValue)

    - #### protected static boolean matches(Collection<String> actualValue, Pattern requiredValue)

    - #### protected static boolean matches(Collection<String> actualValue, TextMatcher matcher)

    - #### protected static boolean matches(boolean actualValue, Object requiredValue)